/* Header for ShellyV1.6 - the ShellShapeGenerator */
/* by RANDi:                                       */
/*        (rschultz@informatik.uni-rostock.de)     */

#define pi 3.141592654
#define laenge 255

/* output-types */

#define POV 1
#define RPL 2
#define T3D 3
#define RAW 4
#define X3D 5
#define BEZ 6
/* calculation-modi */

#define NORMAL 1
#define NODULE 2
#define NEWNOD 3


#define NO 0
#define YES 1

struct punkt
  {
    struct punkt *next;
    double x, y, z, s;
  };

struct pmerk
  {
    struct pmerk *next;
    int id;
    double x, y, z;
  };

struct lmerk
  {
    struct lmerk *next;
    int id, id1, id2;
  };

struct tmerk
  {
    struct tmerk *next;
    int lid1, lid2, lid3;
    int pid1, pid2, pid3;
  };

struct triangle
  {
    struct triangle *next;
    struct punkt *p1, *p2, *p3;
  };

struct ShellyArguments
  {
    double alpha, beta, phi, my, omega, omin, omax, smin, smax, A, a, b,
      P, W1, W2, N, L;
    double od, sd, Scale;
    double P2, W12, W22, N2, L2, Off2, P3, W13, W23, N3, L3, Off3;
    double heightdiffo, heightdiffs, Scans, Scano;
    char povargs[laenge], animto[laenge];
    double camx, camy, camz;
    int output, mode, Render;
    int anim,steps;
  };
